body
{
  font-family: Verdana, Arial, Georgia, Sans-serif;
}

.header
{
  width: 100%;
  border-bottom: solid;
  height: 0;
  padding: 0 0 0 0;
  margin: 0 0 0 0;
}

#header1
{
  height: 4em;
  border-bottom-color: #3f5faf;
}

#header2
{
  border-bottom-color: #2f4f9f;
}

#header3
{
  border-bottom-color: #1f3f8f;
}

#header4
{
  border-bottom-color: #0f2f7f;
}


#logo
{
  position: absolute;
  left: 1em;
  top: 0.5em;
  padding-top: 0;
  margin-top: 0;
  margin-bottom: 0.5em;
}

#logo1
{
  font-size: 2em;
  padding-top: 0;
  margin-top: 0;
  margin-bottom: 0;
}
#logo2
{
  font-size: 1em;
  padding-top: 0;
  margin-top: 0;
  margin-bottom: 0;
}

#tagline
{
  color: #777777;
  font-size: 1.25em;
  position: absolute;
  right: 0em;
  top: 0em;
  margin-top: 2em;
  margin-right: 1em;
  margin-bottom: 0;
  padding-bottom: 0;
  padding-top: 0em;
  text-transform: lowercase;
  font-style: italic;
}

#main
{
  padding: 0em 0 0 1em;
  margin: 0.5em .6em 0 -1px;
  position: absolute;
  left: 10em;
}

#nav
{
  background-color: #eeeeee;
  border: 1px solid;
  padding: 2px 2px 2px 2px;
  margin: 1em 0 0em 0.5em;
  position: absolute;
  left: 0.5em;
  width: 8.5em;
}

ul.nav
{
  list-style-type: none;
  list-style-position: outside;
  font-size: 80%;
  padding: 0.0em 0 0.0em 0em;
  margin: 0 0px 0 0em;
}

li.nav
{
  vertical-align: middle;
  padding: 0.25em 0 0.25em 1.0em;
  margin: 0em 0em 0 0em;
}

li.static
{
  text-align: center;
  font-weight: bold;
  margin: 1.0em 0 0.5em 0;
  padding: 0 0 0 0;
}

ul.referenceTagList li
{
  padding: 0;
}

ul ul li.nav
{
  padding-left: 0;
  margin-left: 1em;
}

#current
{
  background-color: #3f5faf !important;
}

#current a
{
  color: #ffffff !important;
}

pre
{
  margin-left: 5em;
  margin-right: 5em;
  padding: 0.5em;
  border: solid;
  border-width: thin
}

.template, pre.jamon
{
  background-color: #efffdf
}

pre.properties
{
  background-color: #ffdfff
}

.incompatible
{
  color: #ff0000;
  background-color: #dddddd;
}

pre.java, pre.code
{
  background-color: #ffdfdf
}

.tty
{
  padding: 0 0.5em 0 0.5em;
  font-family: Monospace;
  background-color: #e0e0e0
}

pre.webxml
{
  background-color: #eef
}

pre.ant
{
  background-color: #fef
}

li
{
  padding-top: 0.5em
}

.concept
{
  font-weight: bold;
  display: block;
  padding-bottom: 0.5em
}

.file
{
  font-family: Monospace
}

.changed
{
  font-weight: bold
}

.tagline1
{
  color: #0f2f7f;
}
.tagline2
{
  color: #1f3f8f;
}
.tagline3
{
  color: #2f4f9f;
}

.deleted
{
  color: red;
  /*  text-decoration: line-through; */
  display: none;
  font-weight: lighter;
}

.system
{
  font-weight: bold;
  font-size: 0.8em;
}

.smell
{
  border: dashed;
  border-width: thin;
  margin-left: 10em;
  margin-right: 10em;
  margin-top: 1em;
  margin-bottom: 1em;
  padding: .2em;
}

.note
{
  border: solid;
  border-width: thick;
  margin-left: 5em;
  margin-right: 5em;
  margin-top: 1em;
  margin-bottom: 1em;
  padding: .2em;
  background-color: ee8888;
}

dt
{
  font-weight: bold
}

.fixme
{
  background: red;
}

.tutorialNav
{
  text-align: center;
/*  vertical-align: middle; */
  width: 99%;
  height: 2em;
  margin: 0.5em 2px 1em 2px;
  border: 1px solid black;
  background-color: #0f2f7f;
}

.tutorialNavNeighbor
{
  float: left;
  width: 19%;
  margin: 0.25em 0 0 0;
  padding: 0em 0 0.5em 0;
}

.tutorialNavContents
{
  float: left;
  width: 60%;
  margin: 0.25em 0 0 0;
  padding: 0em 0 0.5em 0;
}

*.tutorialNav a
{
  padding: 0 0.25em 0 0.25em;
  background-color: #0f2f7f;
  color: white;
}

.variable
{
  font-style: italic
}